#
# lay1.rb
#
# $Id: lay1.rb,v 1.1 2000/11/21 03:15:28 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 401
jmax = 51

y = NArray.sfloat(nmax)

#-- data ----
y0 = 0.5
for n in 0..nmax-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
sldiv('Y', 3, 2)

for i in 1..8

  grfrm

  j = (i-1)*(jmax-1)
  xmin = j + 1600.0
  xmax = xmin + jmax - 1

  grswnd(xmin, xmax, rundef, rundef)
  ussttl('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
  usgrph(jmax, rundef, y[j..j+jmax-1])

end

grcls

